=== debian/changelog ===
dhelp (0.6.15) unstable; urgency=low

  * Don't depend on libdb4.2-ruby1.8 (transitional package) (Closes: #496682).
    Thanks Thomas Viehmann and Scott Kitterman.
  * Capitalise all sections properly (Closes: #502557).
  * Fix encoding issues. Assume UTF-8 locale though (Closes: #491971).
  * Change WordThreshold to 50000. It's better for low memory machines, and
    both dwww and man2html are using that setting (Closes: #471558). Thanks
    Stellan Klebom.
  * Fix issues flagged by lintian: Depend on ${misc:Depends} (because of
    debhelper), call dhelp_parse without using absolute paths and bump
    Standards-Version to 3.8.1.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Tue, 17 Mar 2009 19:01:58 +0100

dhelp (0.6.14) unstable; urgency=low

  * Fix stupid typo for the previous fix, that made the weekly cron job not
    being able to regenerate the documentation (Closes: #502813).
  * Make the utility for indexing documentation a bit more robust, so it can
    cope with existing, but empty, indexes.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Mon, 20 Oct 2008 22:31:06 +0200

dhelp (0.6.13) unstable; urgency=low

  * Not index documents on upgrade, to prevent dhelp blocking the
    upgrade for hours (Closes: #487722).
  * Add some small utilities to index by hand, because of the above change.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 02 Oct 2008 00:50:47 +0200

dhelp (0.6.12) unstable; urgency=low

  * Switch from pstotext to pdftotext from xpdf-utils for PDF files. It
    seems much more reliable (less "random" errors when parsing documents).
    Hopefully closes: #475655.
  * Use /var/lib/dhelp/tmp instead of /var/tmp for temporary files, to avoid
    possible security issues (thanks Laurent Bonnaud).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Wed, 23 Jul 2008 01:49:55 +0200

dhelp (0.6.11) unstable; urgency=low

  * Don't panic even if the document doesn't declare any files (???). Also add
    some useful debug information if that happens (Closes: #490577).
  * Bump Standards-Version to 3.8.0.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 20 Jul 2008 20:14:22 +0200

dhelp (0.6.10) unstable; urgency=low

  * Handle nil in uri_escape (hopefully closes: #487722).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Tue, 24 Jun 2008 23:39:03 +0200

dhelp (0.6.9) unstable; urgency=low

  * Update French translation (Closes: #481069). Thanks Steve Petruzzello.
  * Update documentation (OMG horribly outdated OMG).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 29 May 2008 22:56:06 +0200

dhelp (0.6.8) unstable; urgency=low

  * The "UTF-8 FTW" release.
  * Change HTML pages encoding to UTF-8.
  * Force HTML exporter to output UTF-8.
  * Force dsearch to output UTF-8.
  * Add initial French translation (Closes: #458836). Thanks David Kremer and
    Christian Perrier!
  * Add initial Russian translation (Closes: #466090). Thanks Yuri Kozlov!
  * Add initial German translation (Closes: #466263). Thanks Helge Kreutzmann!
  * Add initial Basque (Euskera) translation. Thanks Piarres Beobide!
  * Strip accepted languages from the browser correctly.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 24 Feb 2008 19:33:12 +0100

dhelp (0.6.7) unstable; urgency=low

  * Refactor to fix a bug in which newly added documents wouldn't have their
    directories registered, so you couldn't see the registered documentation
    from the documentation directory.
  * Fix a bug with PDF documents given as a glob (e.g. xapian-apidocs
    specifies its PDF version as ".../apidoc.pdf*", so it works with both
    apidoc.pdf and apidoc.pdf.gz).
  * Make dhelp_parse accept multiple arguments for -a and -d again.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 14 Feb 2008 00:15:22 +0100

dhelp (0.6.6) unstable; urgency=low

  * Don't show in the directory any documents that don't have any supported
    format.
  * Add "DVI" to supported formats for the documentation directory.
  * Add firefox to Recommends, for Ubuntu compatibility (Closes: #454517).
  * Bump debhelper compatibility level to 5.
  * Use /var/tmp for temporary files (Closes: #458546).
  * Behave with doc-base (in particular, install-docs). Now parameters to -a
    and -r options in dhelp_parse are interpreted as what they are now:
    doc-base file paths.
  * Don't choke with missing "Files" field (Closes: #455731).
  * Bump Standards-Version to 3.7.3
  * Remove bashism in Makefile (Closes: #463582).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 03 Feb 2008 17:10:10 +0100

dhelp (0.6.5) unstable; urgency=low

  * Index *.pdf and *.txt. Otherwise, it seems only PDF files are indexed.
  * Add a rule for converting PS files to text prior to indexing.
  * Move pstotext to dependencies, because it is needed for indexing.
  * Add dhelp_fetcher.rb, a script to get the contents of a doc-base
    registered documentation file. It uncompresses PDF and PS files for easy
    viewing inside a browser.
  * Only index files, never directories (directories can be specified
    implicitly by a glob, but those aren't part of the documentation).
  * Fix a couple of problems on upgrade (Closes: #452873).
  * Fix some issues with offline mode.
  * Fix subsubsections in the generated documentation directory.
  * Add a hack to avoid 3rd party error messages at installation time.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 06 Dec 2007 18:03:40 +0100

dhelp (0.6.0) unstable; urgency=low

  * Changed all the indexing system so it now searches in the registered
    document, instead of in the HTML directory generated by dhelp.
  * Make .dhelp files obsolete, just use doc-base files directly. They contain
    more information, maintenance is easier over all (we get rid of pointless
    conversions), and we get rid of bugs
    (Closes: #19076, #429233, #334789, #347980, #155054, #177668, #19076).
  * Clean up dhelp.pot file weirdness (Closes: #448211).

